Page MenuHomeFreeBSD

kboot: MI fixups to enable aarch64 booting
ClosedPublic

Authored by imp on Jan 29 2023, 3:16 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sun, May 26, 12:30 AM
Unknown Object (File)
Sun, May 26, 12:30 AM
Unknown Object (File)
Sun, May 26, 12:30 AM
Unknown Object (File)
Sun, May 26, 12:30 AM
Unknown Object (File)
Sun, May 26, 12:29 AM
Unknown Object (File)
Fri, May 24, 4:04 AM
Unknown Object (File)
Wed, May 22, 10:30 AM
Unknown Object (File)
Sat, May 11, 2:04 AM
Subscribers

Details

Summary

A number of bug fixes to loading kernels and modules on aarch64 and amd64.
Fix offset calcuations.
Add a number of debugs, commented out for now (will GC them in the future)

With this, and the MD aarch64 commands, we can linux boot in qemu and on
real hardware.

Sponsored by: Netflix

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

imp requested review of this revision.Jan 29 2023, 3:16 PM
imp added a parent revision: D38260: kboot: Remove kboot_loadaddr.

rebase / refactor / redo

This revision is now accepted and ready to land.Feb 2 2023, 3:50 AM
andrew added inline comments.
stand/kboot/main.c
337

Why not put them in #ifdef DEBUG or similar?

Kill some stray debugs that aren't worth keeping around

This revision now requires review to proceed.Feb 2 2023, 6:16 PM
This revision was not accepted when it landed; it landed in state Needs Review.Feb 3 2023, 3:52 PM
This revision was automatically updated to reflect the committed changes.